## The resource for saving game settings.
##   This should be not be saved with saves (for game syncing reasons)
class_name GameSettingsResource
extends Resource


@export var game_version: String = ProjectSettings.get_setting("application/config/version")

@export var game_options: GameOptionsSettingsResource = GameOptionsSettingsResource.new()
@export var graphics: GraphicsSettingsResource = GraphicsSettingsResource.new()
